<?php
/**
* @version   $Id: mod_sm_newsletter.php 2009-02-18 02:30:50Z mirko boeer $
* @package  SuperMailer und FollowUpMailer Newsletter
* @copyright    Copyright (C) 2001-2009 Mirko Boeer, Leipzig. All rights reserved.
* @license   GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

  /** ensure this file is being included by a parent file */
  defined('_JEXEC') or die('Direct Access to this location is not allowed.');

  $moduleclass_sfx      = ($params->get( 'moduleclass_sfx', 'moduletable' ));
  $module_description = ($params->get( 'module_description', 'Newsletteranmeldung' ));

  $URL_to_newsletter_php = ($params->get( 'URL_to_newsletter_php', 'http://newsletter.php' ));

  $salutation_visible = ($params->get( 'salutation_visible', 0 ));
  $name_visible = ($params->get( 'name_visible', 0 ));
  $firstname_visible = ($params->get( 'firstname_visible', 0 ));
  $poweredby_visible = ($params->get( 'poweredBy_visible', 1 ));


  $salutation_field = ($params->get( 'salutation_field', '' ));
  $name_field = ($params->get( 'name_field', '' ));
  $firstname_field = ($params->get( 'firstname_field', '' ));

  $salutation_desc = ($params->get( 'salutation_desc', '' ));
  $name_desc = ($params->get( 'name_desc', '' ));
  $firstname_desc = ($params->get( 'firstname_desc', '' ));

  $email_desc = ($params->get( 'email_desc', 'Ihre E-Mail-Adresse:' ));

  $newsletter_action_desc = ($params->get( 'newsletter_action_desc', 'Sie m&ouml;chten sich f&uuml;r unseren Newsletter' ));
  $sub_rb_desc = ($params->get( 'sub_rb_desc', 'anmelden' ));
  $unsub_rb_desc = ($params->get( 'unsub_rb_desc', 'abmelden' ));

  $submit_btn_desc = ($params->get( 'submit_btn_desc', 'Absenden' ));
?>


<!--Newsletteranmeldung beginnt hier-->
<form method="POST" action="<?php echo $URL_to_newsletter_php ?>">
<div class="<?php echo $moduleclass_sfx; ?>">
<table>
  <tr>
   <td>
       <p>
       <b><?php echo $module_description; ?></b></p>
       <p><?php echo $email_desc; ?><br>
       <input type="text" name="EMail" size="" />
       </p>

       <?php
         if($salutation_visible)
           print '<p>'.$salutation_desc.'<br /><select size="1" name="'.$salutation_field.'"><option>Herr</option><option>Frau</option></select></p>';
         if($name_visible)
           print '<p>'.$name_desc.'<br /><input type="text" name="'.$name_field.'" size="" /></p>';
         if($firstname_visible)
           print '<p>'.$firstname_desc.'<br /><input type="text" name="'.$firstname_field.'" size="" /></p>';
       ?>

       <p>
       <?php echo $newsletter_action_desc ?><br />
        <input type="radio" value="subscribe" checked="checked" name="Action" /><?php echo $sub_rb_desc; ?><br />
        <input type="radio" value="unsubscribe" name="Action" /><?php echo $unsub_rb_desc; ?>
       </p>
       <p>&nbsp;</p>
       <p>
       <input type="submit" value="<?php echo $submit_btn_desc; ?>" name="SubmitBtn">
       <br><br>
       <?php
       if($poweredBy_visible) {
         print '
         <span style="font-size:7pt">Powered&nbsp;by&nbsp;
         <a href="http://www.supermailer.de" target="_blank">SuperMailer</a></span>
         ';
       }
       ?>
       </p>
   </td>
  </tr>
</table>
</div>
</form>
<!--Newsletteranmeldung endet hier-->

